(function($, data) {
	$(document).ready(function() {
		// eslint-disable-next-line no-var
		var el = $("<a />");
		el.addClass("page-title-action tasty-links-insert-from-amazon");
		el.text(data.pageTitleActionLabel);
		$(".page-title-action").after(el);
		el.on("click", function(e) {
			e.preventDefault();
			$(".tasty-links-modal-container").show();

			// eslint-disable-next-line no-var
			var closeModal = function() {
				$(".tasty-links-modal-container").hide();
				$(document).off("keydown.tasty-links-escape");
			};

			$(document).on(
				"keydown.tasty-links-escape",
				$.proxy(function(event) {
					if (27 === event.keyCode) {
						closeModal();
						event.stopImmediatePropagation();
					}
				}, this)
			);
			$(".tasty-links-modal-close").on("click", function(event) {
				event.preventDefault();
				closeModal();
			});
		});
	});
})(jQuery, tastyLinksAmazonConversionModal);
