<?php
/**
 * Equipment field template for Tasty Recipes.
 *
 * @package Tasty_Links
 */

use Tasty_Links\Content_Model;

?>

<div class="tasty-links-equipment">
	<h3><?php esc_html_e( 'Equipment', 'tasty-links' ); ?></h3>
	<fieldset class="tasty-links-equipment-container">
		<select multiple="multiple" name="tasty-links-equipment" style="width:100%;">
			<?php foreach ( Content_Model::get_links() as $link_post ) : ?>
				<option value="<?php echo esc_attr( $link_post->ID ); ?>"><?php echo esc_html( $link_post->post_title ); ?></option>
			<?php endforeach; ?>
		</select>
		<input type="hidden" name="tasty-links-equipment-field" value="1">
	</fieldset>
</div>
