/**
 * WordPress dependencies
 */
const { registerBlockType } = wp.blocks;
const { registerFormatType } = wp.richText;

/**
 * Internal dependencies
 */
import settings, { name } from './format-type';
import individualLinkBlockRegistration from './individual-link-block';
import featuredLinksblockRegistration from './featured-links-block';

registerBlockType(
	window.tastyLinksBlockEditor.individualLinkBlockType,
	individualLinkBlockRegistration
);
registerBlockType(
	window.tastyLinksBlockEditor.featuredLinksBlockType,
	featuredLinksblockRegistration
);

registerFormatType(name, settings);
