<?php
/**
 * Integration points with Feast.
 *
 * @package Tasty_Links
 */

namespace Tasty_Links\Integrations;

use Tasty_Links\Content_Model;

/**
 * Integration points with Feast.
 */
class Feast {

	/**
	 * Runs late on add_meta_boxes
	 */
	public static function action_add_meta_boxes_late() {
		remove_meta_box(
			'feast-post-custom-css',
			Content_Model::POST_TYPE,
			'advanced'
		);
		remove_meta_box(
			'feast-post-homepage-styling',
			Content_Model::POST_TYPE,
			'side'
		);
		remove_meta_box(
			'feast-post-full-width-layout',
			Content_Model::POST_TYPE,
			'side'
		);
		remove_meta_box(
			'feast-post-disable-yoast-breadcrumbs',
			Content_Model::POST_TYPE,
			'side'
		);
	}
}
