<?php
/**
 * Amazon admin notices to show errors.
 *
 * @package Tasty_Links
 */

?>
<div class="tasty-notice tasty-notice-error">
	<div class="tasty-flex">
		<div>
			<?php
			printf(
				esc_html(
					// translators: %1$d Number of invalid amazon products, %2$s strong opening tag, %3$s strong closing tag.
					_n(
						'%2$sACTION REQUIRED - %1$d%3$s Tasty Link Amazon image failed to automatically update.',
						'%2$sACTION REQUIRED - %1$d%3$s Tasty Links Amazon images failed to automatically update.',
						(int) $not_valid_count,
						'tasty-links'
					)
				),
				(int) $not_valid_count,
				'<strong>',
				'</strong>'
			);
			?>
		</div>
		<a href="<?php echo esc_url( $not_valid_url ); ?>" class="tasty-notice-link">
			<?php
			echo esc_html(
				_n(
					'Show broken link',
					'Show broken links',
					(int) $not_valid_count,
					'tasty-links'
				)
			);
			?>
		</a>
	</div>
</div>
